package com.example.ellegadodepintia

import android.content.Intent
import android.os.Bundle
import android.widget.FrameLayout
import androidx.appcompat.app.AppCompatActivity
import com.example.ellegadodepintia.minijuego1.InicioMinijuego1
import com.example.ellegadodepintia.minijuego2.Minijuego2
import com.example.ellegadodepintia.minijuego3.Minijuego3
import com.example.ellegadodepintia.minijuego4.Minijuego4
import com.example.ellegadodepintia.minijuegoInvestigacion.MinijuegoInvestigar
import com.example.ellegadodepintia.ruleta.Ruleta
import com.example.ellegadodepintia.minijuegoReparacion.MinijuegoReparacion

class ListaMinijuegos : AppCompatActivity(){
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_lista_minijuegos)

        // Minijuego 1
        val minijuego1Layout = findViewById<FrameLayout>(R.id.minijuego1)
        minijuego1Layout.setOnClickListener {
            val intent = Intent(this, InicioMinijuego1::class.java)
            val flag = true
            intent.putExtra("FLAG_KEY", flag)
            startActivity(intent)
        }

        // Minijuego 2
        val minijuego2Layout = findViewById<FrameLayout>(R.id.minijuego2)
        minijuego2Layout.setOnClickListener {
            val intent = Intent(this, Minijuego2::class.java)
            val flag = true
            intent.putExtra("FLAG_KEY", flag)
            startActivity(intent)
        }

        // Minijuego 3
        val minijuego3Layout = findViewById<FrameLayout>(R.id.minijuego3)
        minijuego3Layout.setOnClickListener {
            val intent = Intent(this, Minijuego3::class.java)
            startActivity(intent)
        }

        // Minijuego Investigar
        val minijuegoInvestigarLayout = findViewById<FrameLayout>(R.id.minijuegoInvestigar)
        minijuegoInvestigarLayout.setOnClickListener {
            val intent = Intent(this, MinijuegoInvestigar::class.java)
            val flag = true
            intent.putExtra("FLAG_KEY", flag)
            startActivity(intent)
        }
        // Ruleta
        val ruletaLayout = findViewById<FrameLayout>(R.id.minijuegoRuleta)
        ruletaLayout.setOnClickListener {
            val intent = Intent(this, Ruleta::class.java)
            startActivity(intent)
        }
        // Reparar
        val repararLayout = findViewById<FrameLayout>(R.id.minijuegoReparar)
        repararLayout.setOnClickListener {
            val intent = Intent(this, MinijuegoReparacion::class.java)
            val flag = true
            intent.putExtra("FLAG_KEY", flag)
            startActivity(intent)
        }
    }
}